<% @page_title = 'Settings' %>

<% content_for 'tasks' do %>
  <li>
    <%= link_to 'View Setting', admin_settings_url, :class => "current" %>
  </li>
  <li>
    <%= link_to 'Delete all caches', :controller => 'settings', :action => 'delete_cache' %>
  </li>
<% end %>

<h2>Settings of Pictrails</h2>

<%= error_messages_for :setting %>

<%= flash_notice %>

<% form_for([:admin, this_webapp]) do |f| %>
  <div class="admin">
    <fieldset class="set" id="gensettings">
      <legend>General Options</legend>
      <ul>
        <li>
          <label class="float" for="webapp_name">Galleries Name :</label>
          <%= f.text_field :webapp_name %>
        </li>
        <li>
          <label class="float" for="webapp_subtitle">Galleries subtitle :</label>
          <%= f.text_field :webapp_subtitle %>
        </li>
        <li>
          <label class="float" for="thumbnail_max_width">Max with of thumbnail :</label>
          <%= f.text_field :thumbnail_max_width %>
        </li>
        <li>
          <label class="float" for="thumbnail_max_height">Max height of thumbnail :</label>
          <%= f.text_field :thumbnail_max_height %>
        </li>
        <li>
          <label class="float" for="picture_max_width">Max with of pictures :</label>
          <%= f.text_field :picture_max_width %>
        </li>
        <li>
          <label class="float" for="picture_max_height">Max height of picture :</label>
          <%= f.text_field :picture_max_height %>
        </li>
        <li>
          <label class="float" for="pictures_pagination">Pictures by page :</label>
          <%= f.text_field :pictures_pagination %>
        </li>
        <li>
          <label class="float" for="galleries_pagination">Galleries by page :</label>
          <%= f.text_field :galleries_pagination %>
        </li>
      </ul>
    </fieldset>
    <div id="operations" class="paginate r">
      <%= f.submit "Save Settings", :class => "submit"%>
    </div>
  </div>
<% end %>
